﻿///////////////////////////////////////
//
//  Copyright 2014-2016 Brett Faulds
//
///////////////////////////////////////

using System;
using UnityEngine;
using System.Collections;
using UnityEngine.EventSystems;

/// <summary>
/// The purpose of this class is to have events hooked into a button
/// </summary>
public class ButtonHandler : MonoBehaviour, IEventSystemHandler
{
	public Action ButtonHeld;
	public Action ButtonReleased;

	public void Pressed(BaseEventData eventData)
	{
		if (ButtonHeld != null)
			ButtonHeld();
	}

	public void Released(BaseEventData eventData)
	{
		if (ButtonReleased != null)
			ButtonReleased();
	}
}

///////////////////////////////////////
//
//  Copyright 2014-2016 Brett Faulds
//
///////////////////////////////////////